View Issue Details

IDProjectCategoryView StatusLast Update
0003304Far ManagerPlugins API.Panelpublic2016-10-13 18:17
ReporterNightRomanAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003304: Вывод на консоль из плагина удваивается за пределами окна
DescriptionОкно Фара с достаточно большим буфером, высота окна меньше 100.

Выполнить команду test-user-screen3:

CommandLine {
  prefixes="test-user-screen3";
  action=function(prefix, text)
    for i=1,100 do
      panel.GetUserScreen()
      io.write("line" .. i .. "\r\n")
      panel.SetUserScreen()
    end
  end;
}


Погасить панели. Концовка вывода вывода выглядит нормально:

...
line98
line99
line100

Прокрутить вверх и посмотреть начало вывода, строки удвоены:

line1
line1
line2
line2
...
TagsNo tags attached.
Build4821

Activities

DrKnS

2016-09-25 20:16

administrator   bugnote:0014806

Это давно так или после недавних изменений в оконном менеджере?

NightRoman

2016-09-26 20:45

reporter   bugnote:0014812

Нет таких подробностей. Думаю, так было не всегда, но утверждать не могу.

DrKnS

2016-10-12 23:25

administrator   bugnote:0014895

4821

NightRoman

2016-10-13 00:30

reporter   bugnote:0014896

Не удваиваются. Однако, раньше не было пустых строк между строками вывода, теперь есть. По-моему, это ухудшение. Так и задумано?

NightRoman

2016-10-13 00:33

reporter   bugnote:0014897

Наберите в PowerShellFar:
ps: 1..111

Раньше не было пустых строк, теперь есть.

DrKnS

2016-10-13 08:58

administrator   bugnote:0014898

Да, так и задумано - у вас же там вручную "\n" вставляется.

NightRoman

2016-10-13 11:39

reporter   bugnote:0014899

От меня еще что-то требуется?

Issue History

Date Modified Username Field Change
2016-09-14 14:55 NightRoman New Issue
2016-09-25 20:16 DrKnS Note Added: 0014806
2016-09-26 20:45 NightRoman Note Added: 0014812
2016-10-12 23:25 DrKnS Note Added: 0014895
2016-10-12 23:25 DrKnS Assigned To => DrKnS
2016-10-12 23:25 DrKnS Status new => feedback
2016-10-13 00:30 NightRoman Note Added: 0014896
2016-10-13 00:30 NightRoman Status feedback => assigned
2016-10-13 00:33 NightRoman Note Added: 0014897
2016-10-13 08:58 DrKnS Note Added: 0014898
2016-10-13 11:39 NightRoman Note Added: 0014899
2016-10-13 18:17 DrKnS Build => 4821
2016-10-13 18:17 DrKnS Status assigned => closed
2016-10-13 18:17 DrKnS Resolution open => fixed
2016-10-13 18:17 DrKnS Fixed in Version => 3.0